use yew::prelude::*;

mod bindings;

struct App;

impl Component for App {
    type Message = ();
    type Properties = ();

    fn create(_ctx: &Context<Self>) -> Self {
        Self
    }

    fn view(&self, _ctx: &Context<Self>) -> Html {
        //let get_obj = bindings::getObj();
        //let obj = use_memo((), get_obj); 
        html! {
            <div class="section">
                <div class="container">
                    <main>
                    <h1 class="title">{"DECA NFTs"}</h1>
                    <h4>{"These are the DECA NFTs available for giveaway"}</h4>
                    <h2 class="subtitle">{bindings::get_now_date()}</h2>    
                    </main>
                </div>
            </div>
        }
    }
}
   
fn main() {
    yew::Renderer::<App>::new().render();
}
